AttributeInfo (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.bytecode.attributes.AttributeInfo interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka.bytecode.attributes
Interface AttributeInfo

public interface AttributeInfo

Attribute info structure that provides base methods

Author:
  Stephane Bailliez

Field Summary
`static java.lang.String` | `CODE`
`static java.lang.String` | `CONSTANT_VALUE`
`static java.lang.String` | `DEPRECATED`
`static java.lang.String` | `EXCEPTIONS`
`static java.lang.String` | `INNER_CLASSES`
`static java.lang.String` | `LINE_NUMBER_TABLE`
`static java.lang.String` | `LOCAL_VARIABLE_TABLE`
`static java.lang.String` | `SOURCE_DIR`
`static java.lang.String` | `SOURCE_FILE`
`static java.lang.String` | `SYNTHETIC`
`static java.lang.String` | `UNKNOWN`

Field Detail

### SOURCE_FILE

    public static final java.lang.String SOURCE_FILE

See Also:
  Constant Field Values

### CONSTANT_VALUE

    public static final java.lang.String CONSTANT_VALUE

See Also:
  Constant Field Values

### CODE

    public static final java.lang.String CODE

See Also:
  Constant Field Values

### EXCEPTIONS

    public static final java.lang.String EXCEPTIONS

See Also:
  Constant Field Values

### LINE_NUMBER_TABLE

    public static final java.lang.String LINE_NUMBER_TABLE

See Also:
  Constant Field Values

### LOCAL_VARIABLE_TABLE

    public static final java.lang.String LOCAL_VARIABLE_TABLE

See Also:
  Constant Field Values

### INNER_CLASSES

    public static final java.lang.String INNER_CLASSES

See Also:
  Constant Field Values

### SOURCE_DIR

    public static final java.lang.String SOURCE_DIR

See Also:
  Constant Field Values

### SYNTHETIC

    public static final java.lang.String SYNTHETIC

See Also:
  Constant Field Values

### DEPRECATED

    public static final java.lang.String DEPRECATED

See Also:
  Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.